package com.hotent.uc.params.user;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.hotent.base.util.JsonUtil;

public class WxUser {
	private static final Log logger = LogFactory.getLog(WxUser.class);
	private String userid;
	private String name;
	/* 所属部门 */
	private String[] department;
	/* 岗位 */
//	private String position="";
	private String mobile;
	
	private String password;
	
	private String roleId;
	/* 性别 */
//	private String gender="";
//	private String email="";
//	private String weixinid="";
//	private String enable="";


//	public String getEnable() {
//		return enable;
//	}
//
//	public void setEnable(String enable) {
//		this.enable = enable;
//	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String[] getDepartment() {
		return department;
	}

	public void setDepartment(String[] department) {
		this.department = department;
	}

//	public String getPosition() {
//		return position;
//	}
//
//	public void setPosition(String position) {
//		this.position = position;
//	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

//	public String getGender() {
//		return gender;
//	}
//
//	public void setGender(String gender) {
//		this.gender = gender;
//	}
//
//	public String getEmail() {
//		return email;
//	}
//
//	public void setEmail(String email) {
//		this.email = email;
//	}
//
//	public String getWeixinid() {
//		return weixinid;
//	}
//
//	public void setWeixinid(String weixinid) {
//		this.weixinid = weixinid;
//	}

	@Override
	public String toString() {
		String json = "";
		try {
			json = JsonUtil.toJson(this);
		} catch (Exception e) {
			logger.error(e);
		}
		return json;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}
}
